hdbc-sqlite3 (2.3.3.1-8build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 15:15:42 +0200

hdbc-sqlite3 (2.3.3.1-8) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 22 Jun 2020 14:15:02 +0300

hdbc-sqlite3 (2.3.3.1-7) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:38 +0300

hdbc-sqlite3 (2.3.3.1-6) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:27:03 +0300

hdbc-sqlite3 (2.3.3.1-5) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:12 -0400

hdbc-sqlite3 (2.3.3.1-4) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:18 -0400

hdbc-sqlite3 (2.3.3.1-3) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 11:57:25 -0400

hdbc-sqlite3 (2.3.3.1-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:21 -0500

hdbc-sqlite3 (2.3.3.1-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:12 +0200

hdbc-sqlite3 (2.3.3.0-5) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:52 +0200

hdbc-sqlite3 (2.3.3.0-4) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:57 +0100

hdbc-sqlite3 (2.3.3.0-3) unstable; urgency=low

  * Enable compat level 9
  * Bump standards version to 3.9.4

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:43 +0200

hdbc-sqlite3 (2.3.3.0-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Change Vcs headers to Darcs
  * Add watch file

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jan 2013 17:18:26 +0100

hdbc-sqlite3 (2.3.3.0-1) unstable; urgency=low

  * New upsteram version.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Wed, 07 Mar 2012 17:44:45 -0500

hdbc-sqlite3 (2.3.1.0-2) unstable; urgency=low

  * Have libghc-hdbc-sqlite3-dev depend on libsqlite3-dev (Closes: #639415)
  * Switch to source format 3.0 (quilt)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 27 Aug 2011 11:07:24 +0200

hdbc-sqlite3 (2.3.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #630393)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 19 Jun 2011 13:36:24 +0200

hdbc-sqlite3 (2.3.0.0-4) unstable; urgency=low

  * [c048b42] Standards-Version → 3.9.2, no changes required
  * [4924a73] Rename libghc6* to libghc*
  * [ed20cd1] Use Haskell substvars, particularly haskell:Provides
  * [5c830a2] Add prof package
  * [96b31bd] Fix -doc BDs

 -- Iain Lane <laney@debian.org>  Mon, 30 May 2011 17:00:32 +0100

hdbc-sqlite3 (2.3.0.0-3) unstable; urgency=low

  * Fix "please update build-depends to match renamed binary package
    libghc6-hdbc-doc" updating -doc packages in Build-Depends to new
    package names.  (Closes: #576098)
  * Use Build-Depends-Indep.
  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 23:13:58 -0300

hdbc-sqlite3 (2.3.0.0-2) unstable; urgency=low

  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 17 Mar 2010 19:50:45 -0300

hdbc-sqlite3 (2.3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Rebuild with GHC 6.12.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Feb 2010 16:40:51 -0600

hdbc-sqlite3 (2.2.0.0-2) unstable; urgency=low

  * Switch to hlibrary.mk (Closes: 555154)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Dec 2009 18:43:13 +0100

hdbc-sqlite3 (2.2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Switching to Haskell team maintenance.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 03 Nov 2009 09:34:20 -0600

hdbc-sqlite3 (2.1.0.2-1) unstable; urgency=low

  * Cabal fixes.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Jul 2009 15:33:28 -0500

hdbc-sqlite3 (2.1.0.1-1) unstable; urgency=low

  * New raw connect function.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Jul 2009 15:26:15 -0500

hdbc-sqlite3 (2.1.0.0-2) unstable; urgency=low

  * Rebuild with GHC 6.10.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 11 Mar 2009 15:10:24 -0500

hdbc-sqlite3 (2.1.0.0-1) unstable; urgency=low

  * New release.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 04 Feb 2009 14:08:38 -0600

hdbc-sqlite3 (2.0.0.0-1) unstable; urgency=low

  * New upstream release.
  * This source code is compatible with both GHC 6.8.x and GHC 6.10.x.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 30 Jan 2009 14:40:51 -0600

hdbc-sqlite3 (1.1.6.0.1) unstable; urgency=high

  * Rebuild with newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 16:22:45 -0600

hdbc-sqlite3 (1.1.6.0.0) unstable; urgency=low

  * GHC 6.10 compatibility patch from Brian Bloniarz.
  * Use dh_haskell_depends.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 30 Dec 2008 09:12:22 -0600

hdbc-sqlite3 (1.1.4.0.1) unstable; urgency=low

  * Rebuild with newer HDBC.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 26 Jun 2008 09:20:21 -0500

hdbc-sqlite3 (1.1.4.0.0) unstable; urgency=low

  * Updated for GHC 6.8

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jan 2008 09:47:41 -0600

hdbc-sqlite3 (1.1.3.0.0) unstable; urgency=low

  * Updated for new strictness in HDBC 1.1.3
  * Updated Cabal file
  * Leave statements prepared after executing them.
    (Patch from Toby Allsopp)
  * Efficint binding of ByteString arguments.
    (Path from Toby Allsopp)

 -- John Goerzen <jgoerzen@complete.org>  Wed, 31 Oct 2007 03:04:38 -0500

hdbc-sqlite3 (1.1.2.1) unstable; urgency=low

  * Update for newer GHC6.  Closes: #427493.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Jun 2007 07:08:23 -0500

hdbc-sqlite3 (1.1.2.0) unstable; urgency=low

  * Rebuild for HDBC 1.1.2.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 04:31:15 -0500

hdbc-sqlite3 (1.1.1.0) unstable; urgency=low

  * Update for new HDBC.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 04:15:36 -0500

hdbc-sqlite3 (1.1.0.0) unstable; urgency=low

  * New API thanks to Peter Thiemann.
  * Added libhugs-hunit to build-deps.  Closes: #419615.
  * Added ability to set behavior on busy.
  * Added error code consts.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 May 2007 06:04:05 -0500

hdbc-sqlite3 (1.0.1.3) unstable; urgency=high

  * Use CURDIR instead of PWD in Makefile.  Closes: #395903.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 31 Oct 2006 04:57:18 -0600

hdbc-sqlite3 (1.0.1.2) unstable; urgency=medium

  * Added missing build-dep on libghc6-hunit-dev for tests.  Closes: #394573.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Oct 2006 20:17:28 -0500

hdbc-sqlite3 (1.0.1.1) unstable; urgency=low

  * Rebuild for GHC 6.6.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 22:10:09 -0500

hdbc-sqlite3 (1.0.1.0) unstable; urgency=low

  * Rebuild for HDBC 1.0.1.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 22 Jul 2006 07:27:38 -0500

hdbc-sqlite3 (1.0.0.0) unstable; urgency=low

  * Blessing as 1.0.0.0.
  * Rebuild for Debian with GHC 6.4.2.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Jun 2006 18:56:29 -0500

hdbc-sqlite3 (0.99.2.0) unstable; urgency=low

  * Updated to 0.99.2.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Mar 2006 05:36:18 -0600

hdbc-sqlite3 (0.99.1.0) unstable; urgency=low

  * New 0.99.1.0 release: new memory management system.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 27 Mar 2006 19:17:57 -0600

hdbc-sqlite3 (0.99.0.2) unstable; urgency=low

  * Add -I.. when generating runtests.  Closes: #345963.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  4 Jan 2006 10:13:00 -0600

hdbc-sqlite3 (0.99.0.1) unstable; urgency=low

  * Removed -package MissingH from Makefile when building
    testsrc/runtests.  We no longer need it anyway.  Closes: #345540.

 -- John Goerzen <jgoerzen@complete.org>  Sun,  1 Jan 2006 10:47:31 -0600

hdbc-sqlite3 (0.99.0.0) unstable; urgency=low

  * Initial Release.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Dec 2005 13:27:23 -0600
